#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#
for f in $*
do
  if grep '#include <libexplain/' $f > /dev/null
  then
    if grep '#include <lib/config[.]h>' $f > /dev/null
    then
      : that is what we wanted to see
    else
      if grep '#include <lib/ac/' $f > /dev/null
      then
        : that is what we wanted to see
      else
        echo "$f: must #include <lib/config.h> before everything else"
        exit 1
      fi
    fi
  fi
done
exit 0
# vim: set tw=8 sw=4 et
