#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#
AEGIS_PROJECT=canola.cur
export AEGIS_PROJECT
dest=/usr/local/share/canola
set -e
set -x
rm -rf $dest
bl=`aegis -cd -bl`
aefind -bl $bl/datadir -type f ! -name "*,*" |
while read from
do
    to=`echo $from | sed 's|.*/datadir/||'`
    to=$dest/$to
    mkdir -p `dirname $to`
    test -f $to && rm $to
    ln -s $from $to
done
exit 0
