//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/number/z.h>


std::string
number_z::representation(void)
    const
{
    if (is_zero())
        return "0";
    std::string result;
    for (size_t j = digits_used; j > 0; --j)
        result += (char)('0' + digits[j - 1]);
    return result;
}


// vim: set ts=8 sw=4 et :
