//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <canola/calculator/proxy.h>


calculator_proxy::~calculator_proxy()
{
}


calculator_proxy::calculator_proxy(calculator &a_deeper) :
    deeper(a_deeper)
{
}


void
calculator_proxy::on_error_v(const char *fmt, va_list ap)
{
    deeper.on_error_v(fmt, ap);
}


void
calculator_proxy::run(void)
{
}


void
calculator_proxy::clock_tick_start_running(void)
{
}


void
calculator_proxy::derived_print(const display &)
{
}


void
calculator_proxy::derived_feed(void)
{
}


void
calculator_proxy::derived_off(void)
{
}


void
calculator_proxy::derived_update_display(const display &)
{
}


void
calculator_proxy::printer_timer_start_running(void)
{
}


void
calculator_proxy::forward(int addr)
{
    unsigned char prog = 0;
    location::pointer where;
    if (get_step(addr, prog, where))
        deeper.on_opcode((opcode_t)prog, where);
}
