//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/interpose/memory/cm.h>


interpose_memory_cm::~interpose_memory_cm()
{
}


interpose_memory_cm::interpose_memory_cm(
    const pointer &a_deeper,
    const location::pointer &a_start
) :
    interpose_memory(a_deeper, opcode_cm1 - 1, a_start)
{
}


interpose::pointer
interpose_memory_cm::create(const pointer &a_deeper,
    const location::pointer &a_start)
{
    return pointer(new interpose_memory_cm(a_deeper, a_start));
}
