#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

echo "<html>"
echo "<body>"
echo "<h1 align='center'>"
echo "<img src=\"../canola.128.png\" align=\"left\" alt=\"\" />"
echo "<img src=\"../canola.128.png\" align=\"right\" alt=\"\" />"
echo "<a href=\"../index.html\" >Canola</a> 1614P<br/>Contributed Software"
echo "</h1>"
echo "This web page includes numerous examples of Canola 1614P software, "
echo "contributed by various 1614P owners and users."
echo "<br clear='all'>"
echo "<ul>"

for f in $*
do
    base=$( basename $f .txt )

    title=$( grep 'Title:' $f | sed 's|.*Title: *||' )

    # print the title
    test -z "$title" && title=$base
    echo "<li>$title<br/>"

    echo "<a href=\"$base.txt\" >assembler</a>",
    echo "<a href=\"$base.pdf\" >PDF</a>".
done

echo "</ul>"
echo "</body>"
echo "</html>"
exit 0
